Penning Trap Simulation Simulate particle behavior inside a Penning Trap

Loading...
Searching...
No Matches
Macros
constants.hpp File Reference

Library of constants. More...

Go to the source code of this file.

## Macros
#define | K_E 1.38935333 * 1e5
| Coulomb constant. unit: \(\frac{u(\mu m)^3}{(\mu s)^2 e^2}\).
#define | T 9.64852558 * 1e1
| 1 Tesla. unit: \( \frac{u}{(\mu s) e} \)
#define | V 9.64852558 * 1e7
| 1 Volt. unit: \( \frac{u (\mu m)^2}{(\mu s)^2 e} \)
#define | CA_MASS 40.078
| Mass of a single calcium ion. unit: amu.
#define | CA_CHARGE 1.
| Charge of a singly charged calcium ion. unit: e.

## Detailed Description

Library of constants.

Author
  Cory Alexander Balaton (coryab)
  Janita Ovidie Sandtrøen Willumsen (janitaws)

Version
  1.0

Bug:
  No known bugs

Definition in file constants.hpp.

## Macro Definition Documentation

## ◆ CA_CHARGE

#define CA_CHARGE 1.

Charge of a singly charged calcium ion. unit: e.

Definition at line 33 of file constants.hpp.

## ◆ CA_MASS

#define CA_MASS 40.078

Mass of a single calcium ion. unit: amu.

Definition at line 29 of file constants.hpp.

## ◆ K_E

#define K_E 1.38935333 * 1e5

Coulomb constant. unit: \(\frac{u(\mu m)^3}{(\mu s)^2 e^2}\).

Definition at line 17 of file constants.hpp.

## ◆ T

#define T 9.64852558 * 1e1

1 Tesla. unit: \( \frac{u}{(\mu s) e} \)

Definition at line 21 of file constants.hpp.

## ◆ V

#define V 9.64852558 * 1e7

1 Volt. unit: \( \frac{u (\mu m)^2}{(\mu s)^2 e} \)

Definition at line 25 of file constants.hpp.